Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.groovy.scripts
Class StringScriptSource

    java.lang.Object
      org.gradle.groovy.scripts.StringScriptSource

All Implemented Interfaces:
  ScriptSource

    public class StringScriptSource

extends java.lang.Object
implements ScriptSource

Constructor Summary
`StringScriptSource(java.lang.String description, java.lang.String content)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getClassName()` Returns the name to use for the compiled class for this script.
`java.lang.String` | `getDisplayName()` Returns the description for this script.
`java.io.File` | `getSourceFile()` Returns the source file for this script, if any.
`java.lang.String` | `getText()` Returns the text of this script.
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringScriptSource

    public StringScriptSource(java.lang.String description,
                              java.lang.String content)

Method Detail

### getText

    public java.lang.String getText()

  Description copied from interface: `ScriptSource`
  Returns the text of this script. Returns an empty String if this script has no text. Never returns null.

  Specified by:
    `getText` in interface `ScriptSource`

### getClassName

    public java.lang.String getClassName()

  Description copied from interface: `ScriptSource`
  Returns the name to use for the compiled class for this script. Never returns null.

  Specified by:
    `getClassName` in interface `ScriptSource`

### getSourceFile

    public java.io.File getSourceFile()

  Description copied from interface: `ScriptSource`
  Returns the source file for this script, if any. Returns null if there is no source file for this script.

  Specified by:
    `getSourceFile` in interface `ScriptSource`

### getDisplayName

    public java.lang.String getDisplayName()

  Description copied from interface: `ScriptSource`
  Returns the description for this script. Never returns null.

  Specified by:
    `getDisplayName` in interface `ScriptSource`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD